<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_34652b1c1f31f24206" . "0b92026a1f357a" => base64_decode("RmFpbGVkIHRvIGxvYWQgZm9sZGV" . "yIG9iamVjdA=="), "_b40bd7052d5" . "42eec147133f" . "17246e636" => base64_decode("Qm90aCBmb2xkZXIgb2JqZWN0IGFuZCBmb2xkZXIgaW" . "QgY2Fubm90IGJlIGVtcHR5"));
use Claromentis\Core\Event\Event;





class FolderContentChangeEvent extends Event
{
    protected $folder_obj, $folder_id;
    
    
    
    
    
    
    
    public function __construct(\ERMSFolder $_3b53e774aaf8b8f3a301e5cb1b2f780f = null, $folder_id = null)
    {
        if (!$folder_id && !$_3b53e774aaf8b8f3a301e5cb1b2f780f) {
            throw new \InvalidArgumentException($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_b40bd7052d542eec147133" . "f17246e636"]);
        }
        $this->folder_obj = $_3b53e774aaf8b8f3a301e5cb1b2f780f;
        $this->folder_id = $folder_id;
    }
    
    
    
    
    public function GetFolderId()
    {
        if ($this->folder_id) {
            return $this->folder_id;
        }
        return $this->folder_obj->GetId();
    }
    
    
    
    
    
    public function GetFolder()
    {
        if ($this->IsFolderLoaded()) {
            return $this->folder_obj;
        }
        $_a4b4fe29a876bd36f8024f56a625bf4c = new \ERMSFolder();
        if (!$_a4b4fe29a876bd36f8024f56a625bf4c->Load($this->folder_id)) {
            throw new \Exception($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_34652b1" . "c1f31f24" . "2060b920" . "26a1f357" . "a"]);
        }
        $this->folder_obj = $_a4b4fe29a876bd36f8024f56a625bf4c;
        return $this->folder_obj;
    }
    
    
    
    
    public function IsFolderLoaded()
    {
        return $this->folder_obj instanceof \ERMSFolder;
    }
}